Bug 30218 - [Evergreen KMS] HDMI port output only works with new_pll=0
Summary: [Evergreen KMS] HDMI port output only works with new_pll=0
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: xf86-video-ati maintainers
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-15 17:22 UTC by Serkan Hosca
Modified: 2010-10-19 14:58 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg (57.92 KB, text/plain)
2010-09-15 17:22 UTC, Serkan Hosca
no flags Details
xorg log (47.90 KB, text/plain)
2010-09-15 17:23 UTC, Serkan Hosca
no flags Details
xrandr verbose (8.44 KB, text/plain)
2010-09-15 17:23 UTC, Serkan Hosca
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serkan Hosca 2010-09-15 17:22:10 UTC
I have an HP Envy 15 with mobility 5830. Laptop panel works fine, however, the  hdmi port connected to a dell 20" lcd produced garbled screen. I tried adding radeon.new_pll=0 on grub and it fixed the problem.

Using the git evergreen_accel branch xorg ati driver with 2.6.36-rc4 with airlied's drm-radeon-testing. Xorg version from ubuntu xorg-edgers ppa 1.9.0+git20100902+server-1.9-branch.79ee78de-0ubuntu0sarvatt. Mesa version from ppa 7.9.0+git20100915.e0b6df4f-0ubuntu0sarvatt.
Comment 1 Serkan Hosca 2010-09-15 17:22:37 UTC
Created attachment 38728 [details]
dmesg
Comment 2 Serkan Hosca 2010-09-15 17:23:12 UTC
Created attachment 38729 [details]
xorg log
Comment 3 Serkan Hosca 2010-09-15 17:23:46 UTC
Created attachment 38730 [details]
xrandr verbose
Comment 4 Alex Deucher 2010-09-25 22:11:43 UTC
Does this set of kernel patches help (against 2.6.36):
http://people.freedesktop.org/~agd5f/pll_fixes/
Comment 5 Serkan Hosca 2010-09-25 22:26:07 UTC
Yes it is working with the patches.
Comment 6 Alex Deucher 2010-10-19 14:58:49 UTC
fixed in drm-next.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.